hpp-corbaserver: hpp::core_idl::Roadmap Interface Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::core_idl::Roadmap Interface Reference

`import </local/robotpkg/var/tmp/robotpkg/path/py-hpp-corbaserver/work/hpp-corbaserver-9.0.2/idl/hpp/core_idl/path_planners.idl;`

## Public Member Functions
void | clear () raises (Error)
void | addNode (in floatSeq config) raises (Error)
void | addNodeAndEdge (in floatSeq cfgfrom, in floatSeq cfgto, in Path path_) raises (Error)
void | addNodeAndEdges (in floatSeq cfgfrom, in floatSeq cfgto, in Path path_) raises (Error)
floatSeq | nearestNode (in floatSeq config, out value_type distance, in boolean reverse) raises (Error)
floatSeqSeq | nearestNodes (in floatSeq config, out size_type k) raises (Error)
size_type | getNbNodes () raises (Error)
floatSeq | getNode (in size_type i) raises (Error)
size_type | getNbEdges () raises (Error)
Path | getEdge (in size_type i) raises (Error)
ConnectedComponentSeq | getConnectedComponents () raises (Error)

## Member Function Documentation

## ◆ addNode()

void hpp::core_idl::Roadmap::addNode | ( | in floatSeq | config | ) |
raises | ( | Error
| ) |  |

## ◆ addNodeAndEdge()

void hpp::core_idl::Roadmap::addNodeAndEdge | ( | in floatSeq | cfgfrom,
|  | in floatSeq | cfgto,
|  | in Path | path_
| ) |  |
raises | ( | Error
| ) |  |

## ◆ addNodeAndEdges()

void hpp::core_idl::Roadmap::addNodeAndEdges | ( | in floatSeq | cfgfrom,
|  | in floatSeq | cfgto,
|  | in Path | path_
| ) |  |
raises | ( | Error
| ) |  |

## ◆ clear()

void hpp::core_idl::Roadmap::clear | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getConnectedComponents()

ConnectedComponentSeq hpp::core_idl::Roadmap::getConnectedComponents | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getEdge()

Path hpp::core_idl::Roadmap::getEdge | ( | in size_type | i | ) |
raises | ( | Error
| ) |  |

## ◆ getNbEdges()

size_type hpp::core_idl::Roadmap::getNbEdges | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getNbNodes()

size_type hpp::core_idl::Roadmap::getNbNodes | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getNode()

floatSeq hpp::core_idl::Roadmap::getNode | ( | in size_type | i | ) |
raises | ( | Error
| ) |  |

## ◆ nearestNode()

floatSeq hpp::core_idl::Roadmap::nearestNode | ( | in floatSeq | config,
|  | out value_type | distance,
|  | in boolean | reverse
| ) |  |
raises | ( | Error
| ) |  |

Warning
  config should be of the correct size and normalized. It cannot be checked here because the robot is not accessible.

## ◆ nearestNodes()

floatSeqSeq hpp::core_idl::Roadmap::nearestNodes | ( | in floatSeq | config,
|  | out size_type | k
| ) |  |
raises | ( | Error
| ) |  |

The documentation for this interface was generated from the following file:

- idl/hpp/core_idl/path_planners.idl